summaryrefslogtreecommitdiffstats
path: root/development/emsdk
diff options
context:
space:
mode:
Diffstat (limited to 'development/emsdk')
-rw-r--r--development/emsdk/README18
-rw-r--r--development/emsdk/emsdk4
-rw-r--r--development/emsdk/emsdk.SlackBuild112
-rw-r--r--development/emsdk/emsdk.info10
-rw-r--r--development/emsdk/emsdk_env.sh3
-rw-r--r--development/emsdk/slack-desc19
6 files changed, 166 insertions, 0 deletions
diff --git a/development/emsdk/README b/development/emsdk/README
new file mode 100644
index 0000000000..a060a7b88a
--- /dev/null
+++ b/development/emsdk/README
@@ -0,0 +1,18 @@
+Emscripten is a toolset which allows compiling C/C++ into JavaScript.
+
+
+If that does not scare you, read further.
+
+Emscripten used to work like a compiler-wrapper around gcc/g++/clang,
+and other tools, and doing that now is still possible, via a package
+called "emscripten" (not available at SBo). However, since the
+ambitions of the authors began to grow, more and more tools were
+becoming part of the Emscripten toolset, and it became more and more
+unwieldy installing all of them by hand.
+
+This package, emsdk, is a set of "blessed" shell scripts to do just
+that in a standardised fashion. It might be compared to an Android
+SDK manager, or MinGW installer.
+
+Activate it by sourcing /etc/profile.d/emsdk_env.sh , or run
+individual commands by emsdk <command>
diff --git a/development/emsdk/emsdk b/development/emsdk/emsdk
new file mode 100644
index 0000000000..3d3fe9f3e8
--- /dev/null
+++ b/development/emsdk/emsdk
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd "/usr/libLIBDIRSUFFIX/emsdk"
+./emsdk "$@"
diff --git a/development/emsdk/emsdk.SlackBuild b/development/emsdk/emsdk.SlackBuild
new file mode 100644
index 0000000000..b21263f9ce
--- /dev/null
+++ b/development/emsdk/emsdk.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for emsdk
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=emsdk
+VERSION=${VERSION:-3.1.39}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+install --mode 755 --directory "$PKG"/usr/bin
+install --mode 755 $CWD/emsdk "$PKG"/usr/bin/
+sed -i "s/LIBDIRSUFFIX/$LIBDIRSUFFIX/g" "$PKG"/usr/bin/emsdk
+
+install --mode 755 --directory "$PKG"/etc/profile.d/
+install --mode 755 $CWD/emsdk_env.sh "$PKG"/etc/profile.d/
+sed -i "s/LIBDIRSUFFIX/$LIBDIRSUFFIX/g" "$PKG"/etc/profile.d/emsdk_env.sh
+
+install --mode 755 --directory "$PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM"
+for file in emsdk emsdk.py *.json *.txt emsdk_env.*; do
+ install --mode 755 "$file" "$PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM"
+done
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/emsdk/emsdk.info b/development/emsdk/emsdk.info
new file mode 100644
index 0000000000..9f0fc75bf7
--- /dev/null
+++ b/development/emsdk/emsdk.info
@@ -0,0 +1,10 @@
+PRGNAM="emsdk"
+VERSION="3.1.39"
+HOMEPAGE="https://emscripten.org"
+DOWNLOAD="https://github.com/emscripten-core/emsdk/archive/3.1.39/emsdk-3.1.39.tar.gz"
+MD5SUM="9ed4d9a4556c84c84bae09b005506d14"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.emsdk_2023-06-09@lockywolf.net"
diff --git a/development/emsdk/emsdk_env.sh b/development/emsdk/emsdk_env.sh
new file mode 100644
index 0000000000..a14f8ba165
--- /dev/null
+++ b/development/emsdk/emsdk_env.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+source /usr/libLIBDIRSUFFIX/emsdk/emsdk_env.sh
diff --git a/development/emsdk/slack-desc b/development/emsdk/slack-desc
new file mode 100644
index 0000000000..ec5b99342a
--- /dev/null
+++ b/development/emsdk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+emsdk: emsdk (simple interface for installing emscripten toolchain)
+emsdk:
+emsdk: The Emscripten SDK is effectively a small package manager for tools
+emsdk: that are used in conjunction with Emscripten.
+emsdk:
+emsdk: The SDK provides a way to install all the required tools, such as
+emsdk: Clang, Python and Node.js along with an update mechanism that
+emsdk: enables migrating to newer Emscripten versions as they are released.
+emsdk:
+emsdk:
+emsdk: